﻿using JetBrains.Annotations;
using OpcLabs.BaseLib.ComInterop;
using OpcLabs.EasyOpc.AlarmsAndEvents.AddressSpace;

namespace OpcLabs.EasyOpcFactory.AlarmsAndEvents.AddressSpace
{
    static public class AEAttributeElementInstances
    {
        [NotNull]
        static public AEAttributeElement Instance0 => new AEAttributeElement();

        [NotNull]
        static public AEAttributeElement Instance1
        {
            get
            {
                var aeAttributeElement = new AEAttributeElement
                {
                    AttributeId = 111,
                    DataType = VarTypes.I1,
                    Description = "testDescription"
                };

                return aeAttributeElement;
            }
        }
    }
}
