﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.AlarmsAndEvents.OperationModel;

namespace OpcLabs.EasyOpcFactory.AlarmsAndEvents.OperationModel
{
    static public class EasyAEEventsSubscriptionArgumentsInstances
    {
        [NotNull]
        static public EasyAEEventsSubscriptionArguments Instance1 => new EasyAEEventsSubscriptionArguments(
            ServerDescriptorInstances.Instance1,
            AESubscriptionParametersInstances.Instance1, 
            refreshWhenActive:false, 
            state:"aState1");

        [NotNull]
        static public EasyAEEventsSubscriptionArguments Instance2 => new EasyAEEventsSubscriptionArguments(
            ServerDescriptorInstances.Instance2,
            AESubscriptionParametersInstances.Instance1,
            refreshWhenActive: true,
            state: "aState2");
    }
}
