﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.DataAccess;
using OpcLabs.EasyOpcFactory.DataAccess.Engine;

namespace OpcLabs.EasyOpcFactory.DataAccess
{
    static public class EasyDAClientConfigurationInstances
    {
        [NotNull]
        static public EasyDAClientConfiguration Instance1 => new EasyDAClientConfiguration
        { 
            //AdaptableParameters = EasyDAAdaptableParametersInstances.Instance1,   // IMPROVE: have this when possible
            EnableNativeClient = false,
            EnableNetApiClient = false,
            SharedParameters = EasyDASharedParametersInstances.Instance1,
        };
    }
}
