﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using OpcLabs.BaseLib.Licensing;
using OpcLabs.EasyOpc.DataAccess;

namespace OpcLabs.EasyOpcLiveTest.Legacy.DataAccess
{
    public partial class EasyDAClientTest
    {
        // ReSharper disable InconsistentNaming

        [Ignore]    // requires QuickLoop license be present
        [TestMethod]
        public void LicensingTest_QuickLoop()
        {
            EasyDAClient client = new EasyDAClient();

            ILicensingContextHolder licensingContextHolder = client;
            licensingContextHolder.Context = new LicensingContext(licensingContextHolder.Context.ContextTypes, "QuickLoop");

            object value = client.ReadItemValue("OPCLabs.KitServer.2", "Demo.Ramp");    // must not throw due to licensing here
            Assert.IsNotNull(value);
        }

        // ReSharper disable InconsistentNaming
    }
}
