﻿using JetBrains.Annotations;
using OpcLabs.BaseLib.IdentityModel.User;

namespace OpcLabs.BaseLibFactory.IdentityModel.User
{
    static public class UserIdentityInstances
    {
        [NotNull]
        static public UserIdentity Instance1 => new UserIdentity
        {
            AnonymousTokenInfo = AnonymousTokenInfo.Configured,
            KerberosTokenInfo = KerberosTokenInfoInstances.Instance1,
            UserNameTokenInfo = UserNameTokenInfoInstances.Instance1,
            X509CertificateTokenInfo = X509CertificateTokenInfoInstances.Instance1
        };
    }
}
