﻿using JetBrains.Annotations;
using OpcLabs.BaseLib.ObjectSpace;

namespace OpcLabs.BaseLibFactory.ObjectSpace
{
    static public class BranchFrontEndInstances
    {
        [NotNull]
        static public BranchFrontEnd Instance0 => new BranchFrontEnd();

        [NotNull]
        static public BranchFrontEnd Instance1 => new BranchFrontEnd("testName");

        [NotNull]
        static public BranchFrontEnd Instance2
        {
            get
            {
                var branchFrontEnd = new BranchFrontEnd("testName");
                branchFrontEnd.Nodes.Add(LeafFrontEndInstances.Instance0);
                branchFrontEnd.Nodes.Add(LeafFrontEndInstances.Instance1);
                branchFrontEnd.Nodes.Add(Instance0);
                branchFrontEnd.Nodes.Add(Instance1);
                return branchFrontEnd;
            }
        }
    }
}
