﻿
using JetBrains.Annotations;

namespace OpcLabs.EasyOpcLiveTest.DataAccess.Environment
{
    public class CatalogEntry<TElement>
    {
        public CatalogEntry([NotNull] TElement element)
        {
            Element = element;
        }

        [NotNull]
        public TElement Element { get;  }

        public override string ToString()
        {
            return Element.ToString();
        }
    }
}
