﻿
using JetBrains.Annotations;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using OpcLabs.BaseLib.Collections.ObjectModel.Extensions;
using OpcLabs.UnitTestLib;
using System.Diagnostics;

// Assemblies:
//   OpcLabs.EasyOpcForms, Version=5.55.0.1, Culture=neutral, PublicKeyToken=6faddca41dacb409

// ReSharper disable CheckNamespace
namespace OpcLabs.EasyOpcTest.OpcLabs.EasyOpc.AlarmsAndEvents.Forms.Browsing
// ReSharper restore CheckNamespace
// ReSharper disable RedundantNameQualifier
{

    [TestClass]
    // ReSharper disable InconsistentNaming
    public class AEAreaOrSourceDialogTest
    // ReSharper restore InconsistentNaming
    {
        public AEAreaOrSourceDialogTest()
        {
            Testers = TestSuite.GetTypeTesters(typeof(global::OpcLabs.EasyOpc.AlarmsAndEvents.Forms.Browsing.AEAreaOrSourceDialog));
        }

        [TestInitialize]
        public void InitializeTest()
        {
            AssertUtilities.WriteLine("Initializing test for OpcLabs.EasyOpc.AlarmsAndEvents.Forms.Browsing.AEAreaOrSourceDialog...");
        }

        [NotNull]
        public TesterCollection Testers { get; }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcAlarmsAndEvents")]
        [TestCategory("OpcClassic")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultCtorTester()
        {
            if (!Testers.TryGetValue("DefaultCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcAlarmsAndEvents")]
        [TestCategory("OpcClassic")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultValueDataMemberTester()
        {
            if (!Testers.TryGetValue("DefaultValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcAlarmsAndEvents")]
        [TestCategory("OpcClassic")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void ShouldSerializeTester()
        {
            if (!Testers.TryGetValue("ShouldSerializeTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }
    }

// ReSharper restore RedundantNameQualifier
}

// ReSharper disable CheckNamespace
namespace OpcLabs.EasyOpcTest.OpcLabs.EasyOpc.AlarmsAndEvents.Forms.Browsing
// ReSharper restore CheckNamespace
// ReSharper disable RedundantNameQualifier
{

    [TestClass]
    // ReSharper disable InconsistentNaming
    public class AEAttributeDialogTest
    // ReSharper restore InconsistentNaming
    {
        public AEAttributeDialogTest()
        {
            Testers = TestSuite.GetTypeTesters(typeof(global::OpcLabs.EasyOpc.AlarmsAndEvents.Forms.Browsing.AEAttributeDialog));
        }

        [TestInitialize]
        public void InitializeTest()
        {
            AssertUtilities.WriteLine("Initializing test for OpcLabs.EasyOpc.AlarmsAndEvents.Forms.Browsing.AEAttributeDialog...");
        }

        [NotNull]
        public TesterCollection Testers { get; }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcAlarmsAndEvents")]
        [TestCategory("OpcClassic")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultCtorTester()
        {
            if (!Testers.TryGetValue("DefaultCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcAlarmsAndEvents")]
        [TestCategory("OpcClassic")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultValueDataMemberTester()
        {
            if (!Testers.TryGetValue("DefaultValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcAlarmsAndEvents")]
        [TestCategory("OpcClassic")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void ShouldSerializeTester()
        {
            if (!Testers.TryGetValue("ShouldSerializeTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }
    }

// ReSharper restore RedundantNameQualifier
}

// ReSharper disable CheckNamespace
namespace OpcLabs.EasyOpcTest.OpcLabs.EasyOpc.AlarmsAndEvents.Forms.Browsing
// ReSharper restore CheckNamespace
// ReSharper disable RedundantNameQualifier
{

    [TestClass]
    // ReSharper disable InconsistentNaming
    public class AECategoryConditionDialogTest
    // ReSharper restore InconsistentNaming
    {
        public AECategoryConditionDialogTest()
        {
            Testers = TestSuite.GetTypeTesters(typeof(global::OpcLabs.EasyOpc.AlarmsAndEvents.Forms.Browsing.AECategoryConditionDialog));
        }

        [TestInitialize]
        public void InitializeTest()
        {
            AssertUtilities.WriteLine("Initializing test for OpcLabs.EasyOpc.AlarmsAndEvents.Forms.Browsing.AECategoryConditionDialog...");
        }

        [NotNull]
        public TesterCollection Testers { get; }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcAlarmsAndEvents")]
        [TestCategory("OpcClassic")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultCtorTester()
        {
            if (!Testers.TryGetValue("DefaultCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcAlarmsAndEvents")]
        [TestCategory("OpcClassic")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultValueDataMemberTester()
        {
            if (!Testers.TryGetValue("DefaultValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcAlarmsAndEvents")]
        [TestCategory("OpcClassic")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void ShouldSerializeTester()
        {
            if (!Testers.TryGetValue("ShouldSerializeTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }
    }

// ReSharper restore RedundantNameQualifier
}

// ReSharper disable CheckNamespace
namespace OpcLabs.EasyOpcTest.OpcLabs.EasyOpc.AlarmsAndEvents.Forms.Browsing
// ReSharper restore CheckNamespace
// ReSharper disable RedundantNameQualifier
{

    [TestClass]
    // ReSharper disable InconsistentNaming
    public class AECategoryDialogTest
    // ReSharper restore InconsistentNaming
    {
        public AECategoryDialogTest()
        {
            Testers = TestSuite.GetTypeTesters(typeof(global::OpcLabs.EasyOpc.AlarmsAndEvents.Forms.Browsing.AECategoryDialog));
        }

        [TestInitialize]
        public void InitializeTest()
        {
            AssertUtilities.WriteLine("Initializing test for OpcLabs.EasyOpc.AlarmsAndEvents.Forms.Browsing.AECategoryDialog...");
        }

        [NotNull]
        public TesterCollection Testers { get; }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcAlarmsAndEvents")]
        [TestCategory("OpcClassic")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultCtorTester()
        {
            if (!Testers.TryGetValue("DefaultCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcAlarmsAndEvents")]
        [TestCategory("OpcClassic")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultValueDataMemberTester()
        {
            if (!Testers.TryGetValue("DefaultValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcAlarmsAndEvents")]
        [TestCategory("OpcClassic")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void ShouldSerializeTester()
        {
            if (!Testers.TryGetValue("ShouldSerializeTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }
    }

// ReSharper restore RedundantNameQualifier
}

// ReSharper disable CheckNamespace
namespace OpcLabs.EasyOpcTest.OpcLabs.EasyOpc.DataAccess.Forms.Browsing
// ReSharper restore CheckNamespace
// ReSharper disable RedundantNameQualifier
{

    [TestClass]
    // ReSharper disable InconsistentNaming
    public class DAItemDialogTest
    // ReSharper restore InconsistentNaming
    {
        public DAItemDialogTest()
        {
            Testers = TestSuite.GetTypeTesters(typeof(global::OpcLabs.EasyOpc.DataAccess.Forms.Browsing.DAItemDialog));
        }

        [TestInitialize]
        public void InitializeTest()
        {
            AssertUtilities.WriteLine("Initializing test for OpcLabs.EasyOpc.DataAccess.Forms.Browsing.DAItemDialog...");
        }

        [NotNull]
        public TesterCollection Testers { get; }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("OpcDataAccess")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultCtorTester()
        {
            if (!Testers.TryGetValue("DefaultCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("OpcDataAccess")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultValueDataMemberTester()
        {
            if (!Testers.TryGetValue("DefaultValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("OpcDataAccess")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void ShouldSerializeTester()
        {
            if (!Testers.TryGetValue("ShouldSerializeTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }
    }

// ReSharper restore RedundantNameQualifier
}

// ReSharper disable CheckNamespace
namespace OpcLabs.EasyOpcTest.OpcLabs.EasyOpc.DataAccess.Forms.Browsing
// ReSharper restore CheckNamespace
// ReSharper disable RedundantNameQualifier
{

    [TestClass]
    // ReSharper disable InconsistentNaming
    public class DAPropertyDialogTest
    // ReSharper restore InconsistentNaming
    {
        public DAPropertyDialogTest()
        {
            Testers = TestSuite.GetTypeTesters(typeof(global::OpcLabs.EasyOpc.DataAccess.Forms.Browsing.DAPropertyDialog));
        }

        [TestInitialize]
        public void InitializeTest()
        {
            AssertUtilities.WriteLine("Initializing test for OpcLabs.EasyOpc.DataAccess.Forms.Browsing.DAPropertyDialog...");
        }

        [NotNull]
        public TesterCollection Testers { get; }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("OpcDataAccess")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultCtorTester()
        {
            if (!Testers.TryGetValue("DefaultCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("OpcDataAccess")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultValueDataMemberTester()
        {
            if (!Testers.TryGetValue("DefaultValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("OpcDataAccess")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void ShouldSerializeTester()
        {
            if (!Testers.TryGetValue("ShouldSerializeTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }
    }

// ReSharper restore RedundantNameQualifier
}

// ReSharper disable CheckNamespace
namespace OpcLabs.EasyOpcTest.OpcLabs.EasyOpc.DataAccess.Forms
// ReSharper restore CheckNamespace
// ReSharper disable RedundantNameQualifier
{

    [TestClass]
    // ReSharper disable InconsistentNaming
    public class DAClassRegistrationFormTest
    // ReSharper restore InconsistentNaming
    {
        public DAClassRegistrationFormTest()
        {
            Testers = TestSuite.GetTypeTesters(typeof(global::OpcLabs.EasyOpc.DataAccess.Forms.DAClassRegistrationForm));
        }

        [TestInitialize]
        public void InitializeTest()
        {
            AssertUtilities.WriteLine("Initializing test for OpcLabs.EasyOpc.DataAccess.Forms.DAClassRegistrationForm...");
        }

        [NotNull]
        public TesterCollection Testers { get; }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("OpcDataAccess")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultCtorTester()
        {
            if (!Testers.TryGetValue("DefaultCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("OpcDataAccess")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultValueDataMemberTester()
        {
            if (!Testers.TryGetValue("DefaultValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("OpcDataAccess")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void InvalidValueDataMemberTester()
        {
            if (!Testers.TryGetValue("InvalidValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("OpcDataAccess")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void ShouldSerializeTester()
        {
            if (!Testers.TryGetValue("ShouldSerializeTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }
    }

// ReSharper restore RedundantNameQualifier
}

// ReSharper disable CheckNamespace
namespace OpcLabs.EasyOpcTest.Browsing
// ReSharper restore CheckNamespace
// ReSharper disable RedundantNameQualifier
{

    [TestClass]
    // ReSharper disable InconsistentNaming
    public class OpcBrowseControlTest
    // ReSharper restore InconsistentNaming
    {
        public OpcBrowseControlTest()
        {
            Testers = TestSuite.GetTypeTesters(typeof(global::OpcLabs.EasyOpc.Forms.Browsing.OpcBrowseControl));
        }

        [TestInitialize]
        public void InitializeTest()
        {
            AssertUtilities.WriteLine("Initializing test for OpcLabs.EasyOpc.Forms.Browsing.OpcBrowseControl...");
        }

        [NotNull]
        public TesterCollection Testers { get; }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultCtorTester()
        {
            if (!Testers.TryGetValue("DefaultCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultValueDataMemberTester()
        {
            if (!Testers.TryGetValue("DefaultValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void InvalidValueDataMemberTester()
        {
            if (!Testers.TryGetValue("InvalidValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void ShouldSerializeTester()
        {
            if (!Testers.TryGetValue("ShouldSerializeTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }
    }

// ReSharper restore RedundantNameQualifier
}

// ReSharper disable CheckNamespace
namespace OpcLabs.EasyOpcTest.Browsing
// ReSharper restore CheckNamespace
// ReSharper disable RedundantNameQualifier
{

    [TestClass]
    // ReSharper disable InconsistentNaming
    public class OpcBrowseDialogTest
    // ReSharper restore InconsistentNaming
    {
        public OpcBrowseDialogTest()
        {
            Testers = TestSuite.GetTypeTesters(typeof(global::OpcLabs.EasyOpc.Forms.Browsing.OpcBrowseDialog));
        }

        [TestInitialize]
        public void InitializeTest()
        {
            AssertUtilities.WriteLine("Initializing test for OpcLabs.EasyOpc.Forms.Browsing.OpcBrowseDialog...");
        }

        [NotNull]
        public TesterCollection Testers { get; }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultCtorTester()
        {
            if (!Testers.TryGetValue("DefaultCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultValueDataMemberTester()
        {
            if (!Testers.TryGetValue("DefaultValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void ShouldSerializeTester()
        {
            if (!Testers.TryGetValue("ShouldSerializeTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }
    }

// ReSharper restore RedundantNameQualifier
}

// ReSharper disable CheckNamespace
namespace OpcLabs.EasyOpcTest.Browsing
// ReSharper restore CheckNamespace
// ReSharper disable RedundantNameQualifier
{

    [TestClass]
    // ReSharper disable InconsistentNaming
    public class OpcBrowseInputsTest
    // ReSharper restore InconsistentNaming
    {
        public OpcBrowseInputsTest()
        {
            Testers = TestSuite.GetTypeTesters(typeof(global::OpcLabs.EasyOpc.Forms.Browsing.OpcBrowseInputs));
        }

        [TestInitialize]
        public void InitializeTest()
        {
            AssertUtilities.WriteLine("Initializing test for OpcLabs.EasyOpc.Forms.Browsing.OpcBrowseInputs...");
        }

        [NotNull]
        public TesterCollection Testers { get; }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("BinarySerialization")]
        [TestCategory("Serialization")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void BinarySerializationTester()
        {
            if (!Testers.TryGetValue("BinarySerializationTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void CopyCtorTester()
        {
            if (!Testers.TryGetValue("CopyCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("DataContractSerialization")]
        [TestCategory("Serialization")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DataContractSerializationTester()
        {
            if (!Testers.TryGetValue("DataContractSerializationTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultCtorTester()
        {
            if (!Testers.TryGetValue("DefaultCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultValueDataMemberTester()
        {
            if (!Testers.TryGetValue("DefaultValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("Equality")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void EqualityOperatorsTester()
        {
            if (!Testers.TryGetValue("EqualityOperatorsTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("Equality")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void EquivalenceTester()
        {
            if (!Testers.TryGetValue("EquivalenceTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("Cloning")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void ICloneableTester()
        {
            if (!Testers.TryGetValue("ICloneableTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void InvalidValueDataMemberTester()
        {
            if (!Testers.TryGetValue("InvalidValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void PropertyBehaviorTester()
        {
            if (!Testers.TryGetValue("PropertyBehaviorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void ValidValueDataMemberTester()
        {
            if (!Testers.TryGetValue("ValidValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("Serialization")]
        [TestCategory("XamlSerialization")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void XamlSerializationTester()
        {
            if (!Testers.TryGetValue("XamlSerializationTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("Serialization")]
        [TestCategory("XmlSerialization")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void XmlSerializationTester()
        {
            if (!Testers.TryGetValue("XmlSerializationTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }
    }

// ReSharper restore RedundantNameQualifier
}

// ReSharper disable CheckNamespace
namespace OpcLabs.EasyOpcTest.Browsing
// ReSharper restore CheckNamespace
// ReSharper disable RedundantNameQualifier
{

    [TestClass]
    // ReSharper disable InconsistentNaming
    public class OpcBrowseInputsOutputsTest
    // ReSharper restore InconsistentNaming
    {
        public OpcBrowseInputsOutputsTest()
        {
            Testers = TestSuite.GetTypeTesters(typeof(global::OpcLabs.EasyOpc.Forms.Browsing.OpcBrowseInputsOutputs));
        }

        [TestInitialize]
        public void InitializeTest()
        {
            AssertUtilities.WriteLine("Initializing test for OpcLabs.EasyOpc.Forms.Browsing.OpcBrowseInputsOutputs...");
        }

        [NotNull]
        public TesterCollection Testers { get; }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("BinarySerialization")]
        [TestCategory("Serialization")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void BinarySerializationTester()
        {
            if (!Testers.TryGetValue("BinarySerializationTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void CopyCtorTester()
        {
            if (!Testers.TryGetValue("CopyCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("DataContractSerialization")]
        [TestCategory("Serialization")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DataContractSerializationTester()
        {
            if (!Testers.TryGetValue("DataContractSerializationTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultCtorTester()
        {
            if (!Testers.TryGetValue("DefaultCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("Equality")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void EqualityOperatorsTester()
        {
            if (!Testers.TryGetValue("EqualityOperatorsTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("Equality")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void EquivalenceTester()
        {
            if (!Testers.TryGetValue("EquivalenceTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("Cloning")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void ICloneableTester()
        {
            if (!Testers.TryGetValue("ICloneableTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void InvalidValueDataMemberTester()
        {
            if (!Testers.TryGetValue("InvalidValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void PropertyBehaviorTester()
        {
            if (!Testers.TryGetValue("PropertyBehaviorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void ShouldSerializeTester()
        {
            if (!Testers.TryGetValue("ShouldSerializeTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void ValidValueDataMemberTester()
        {
            if (!Testers.TryGetValue("ValidValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("Serialization")]
        [TestCategory("XamlSerialization")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void XamlSerializationTester()
        {
            if (!Testers.TryGetValue("XamlSerializationTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("Serialization")]
        [TestCategory("XmlSerialization")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void XmlSerializationTester()
        {
            if (!Testers.TryGetValue("XmlSerializationTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }
    }

// ReSharper restore RedundantNameQualifier
}

// ReSharper disable CheckNamespace
namespace OpcLabs.EasyOpcTest.Browsing
// ReSharper restore CheckNamespace
// ReSharper disable RedundantNameQualifier
{

    [TestClass]
    // ReSharper disable InconsistentNaming
    public class OpcBrowseModeTest
    // ReSharper restore InconsistentNaming
    {
        public OpcBrowseModeTest()
        {
            Testers = TestSuite.GetTypeTesters(typeof(global::OpcLabs.EasyOpc.Forms.Browsing.OpcBrowseMode));
        }

        [TestInitialize]
        public void InitializeTest()
        {
            AssertUtilities.WriteLine("Initializing test for OpcLabs.EasyOpc.Forms.Browsing.OpcBrowseMode...");
        }

        [NotNull]
        public TesterCollection Testers { get; }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("BinarySerialization")]
        [TestCategory("Serialization")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void BinarySerializationTester()
        {
            if (!Testers.TryGetValue("BinarySerializationTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void CopyCtorTester()
        {
            if (!Testers.TryGetValue("CopyCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("DataContractSerialization")]
        [TestCategory("Serialization")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DataContractSerializationTester()
        {
            if (!Testers.TryGetValue("DataContractSerializationTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultCtorTester()
        {
            if (!Testers.TryGetValue("DefaultCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultValueDataMemberTester()
        {
            if (!Testers.TryGetValue("DefaultValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("Equality")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void EqualityOperatorsTester()
        {
            if (!Testers.TryGetValue("EqualityOperatorsTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("Equality")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void EquivalenceTester()
        {
            if (!Testers.TryGetValue("EquivalenceTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("Cloning")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void ICloneableTester()
        {
            if (!Testers.TryGetValue("ICloneableTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void InvalidValueDataMemberTester()
        {
            if (!Testers.TryGetValue("InvalidValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void PropertyBehaviorTester()
        {
            if (!Testers.TryGetValue("PropertyBehaviorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void ShouldSerializeTester()
        {
            if (!Testers.TryGetValue("ShouldSerializeTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void ValidValueDataMemberTester()
        {
            if (!Testers.TryGetValue("ValidValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("Serialization")]
        [TestCategory("XamlSerialization")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void XamlSerializationTester()
        {
            if (!Testers.TryGetValue("XamlSerializationTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("Serialization")]
        [TestCategory("XmlSerialization")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void XmlSerializationTester()
        {
            if (!Testers.TryGetValue("XmlSerializationTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }
    }

// ReSharper restore RedundantNameQualifier
}

// ReSharper disable CheckNamespace
namespace OpcLabs.EasyOpcTest.Browsing
// ReSharper restore CheckNamespace
// ReSharper disable RedundantNameQualifier
{

    [TestClass]
    // ReSharper disable InconsistentNaming
    public class OpcBrowseNodeDescriptorTest
    // ReSharper restore InconsistentNaming
    {
        public OpcBrowseNodeDescriptorTest()
        {
            Testers = TestSuite.GetTypeTesters(typeof(global::OpcLabs.EasyOpc.Forms.Browsing.OpcBrowseNodeDescriptor));
        }

        [TestInitialize]
        public void InitializeTest()
        {
            AssertUtilities.WriteLine("Initializing test for OpcLabs.EasyOpc.Forms.Browsing.OpcBrowseNodeDescriptor...");
        }

        [NotNull]
        public TesterCollection Testers { get; }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("BinarySerialization")]
        [TestCategory("Serialization")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void BinarySerializationTester()
        {
            if (!Testers.TryGetValue("BinarySerializationTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void CopyCtorTester()
        {
            if (!Testers.TryGetValue("CopyCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("DataContractSerialization")]
        [TestCategory("Serialization")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DataContractSerializationTester()
        {
            if (!Testers.TryGetValue("DataContractSerializationTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultCtorTester()
        {
            if (!Testers.TryGetValue("DefaultCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultValueDataMemberTester()
        {
            if (!Testers.TryGetValue("DefaultValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("Equality")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void EqualityOperatorsTester()
        {
            if (!Testers.TryGetValue("EqualityOperatorsTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("Equality")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void EquivalenceTester()
        {
            if (!Testers.TryGetValue("EquivalenceTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("Cloning")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void ICloneableTester()
        {
            if (!Testers.TryGetValue("ICloneableTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void InvalidValueDataMemberTester()
        {
            if (!Testers.TryGetValue("InvalidValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void PropertyBehaviorTester()
        {
            if (!Testers.TryGetValue("PropertyBehaviorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void ShouldSerializeTester()
        {
            if (!Testers.TryGetValue("ShouldSerializeTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void ValidValueDataMemberTester()
        {
            if (!Testers.TryGetValue("ValidValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("Serialization")]
        [TestCategory("XamlSerialization")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void XamlSerializationTester()
        {
            if (!Testers.TryGetValue("XamlSerializationTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("Serialization")]
        [TestCategory("XmlSerialization")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void XmlSerializationTester()
        {
            if (!Testers.TryGetValue("XmlSerializationTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }
    }

// ReSharper restore RedundantNameQualifier
}

// ReSharper disable CheckNamespace
namespace OpcLabs.EasyOpcTest.Browsing
// ReSharper restore CheckNamespace
// ReSharper disable RedundantNameQualifier
{

    [TestClass]
    // ReSharper disable InconsistentNaming
    public class OpcBrowseNodeDescriptorCollectionTest
    // ReSharper restore InconsistentNaming
    {
        public OpcBrowseNodeDescriptorCollectionTest()
        {
            Testers = TestSuite.GetTypeTesters(typeof(global::OpcLabs.EasyOpc.Forms.Browsing.OpcBrowseNodeDescriptorCollection));
        }

        [TestInitialize]
        public void InitializeTest()
        {
            AssertUtilities.WriteLine("Initializing test for OpcLabs.EasyOpc.Forms.Browsing.OpcBrowseNodeDescriptorCollection...");
        }

        [NotNull]
        public TesterCollection Testers { get; }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultCtorTester()
        {
            if (!Testers.TryGetValue("DefaultCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }
    }

// ReSharper restore RedundantNameQualifier
}

// ReSharper disable CheckNamespace
namespace OpcLabs.EasyOpcTest.Browsing
// ReSharper restore CheckNamespace
// ReSharper disable RedundantNameQualifier
{

    [TestClass]
    // ReSharper disable InconsistentNaming
    public class OpcBrowseNodeElementTest
    // ReSharper restore InconsistentNaming
    {
        public OpcBrowseNodeElementTest()
        {
            Testers = TestSuite.GetTypeTesters(typeof(global::OpcLabs.EasyOpc.Forms.Browsing.OpcBrowseNodeElement));
        }

        [TestInitialize]
        public void InitializeTest()
        {
            AssertUtilities.WriteLine("Initializing test for OpcLabs.EasyOpc.Forms.Browsing.OpcBrowseNodeElement...");
        }

        [NotNull]
        public TesterCollection Testers { get; }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("BinarySerialization")]
        [TestCategory("Serialization")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void BinarySerializationTester()
        {
            if (!Testers.TryGetValue("BinarySerializationTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void CopyCtorTester()
        {
            if (!Testers.TryGetValue("CopyCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("DataContractSerialization")]
        [TestCategory("Serialization")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DataContractSerializationTester()
        {
            if (!Testers.TryGetValue("DataContractSerializationTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultCtorTester()
        {
            if (!Testers.TryGetValue("DefaultCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultValueDataMemberTester()
        {
            if (!Testers.TryGetValue("DefaultValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("Equality")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void EqualityOperatorsTester()
        {
            if (!Testers.TryGetValue("EqualityOperatorsTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("Equality")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void EquivalenceTester()
        {
            if (!Testers.TryGetValue("EquivalenceTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("Cloning")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void ICloneableTester()
        {
            if (!Testers.TryGetValue("ICloneableTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void InvalidValueDataMemberTester()
        {
            if (!Testers.TryGetValue("InvalidValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void PropertyBehaviorTester()
        {
            if (!Testers.TryGetValue("PropertyBehaviorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void ValidValueDataMemberTester()
        {
            if (!Testers.TryGetValue("ValidValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("Serialization")]
        [TestCategory("XamlSerialization")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void XamlSerializationTester()
        {
            if (!Testers.TryGetValue("XamlSerializationTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("Serialization")]
        [TestCategory("XmlSerialization")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void XmlSerializationTester()
        {
            if (!Testers.TryGetValue("XmlSerializationTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }
    }

// ReSharper restore RedundantNameQualifier
}

// ReSharper disable CheckNamespace
namespace OpcLabs.EasyOpcTest.Browsing
// ReSharper restore CheckNamespace
// ReSharper disable RedundantNameQualifier
{

    [TestClass]
    // ReSharper disable InconsistentNaming
    public class OpcBrowseNodeElementCollectionTest
    // ReSharper restore InconsistentNaming
    {
        public OpcBrowseNodeElementCollectionTest()
        {
            Testers = TestSuite.GetTypeTesters(typeof(global::OpcLabs.EasyOpc.Forms.Browsing.OpcBrowseNodeElementCollection));
        }

        [TestInitialize]
        public void InitializeTest()
        {
            AssertUtilities.WriteLine("Initializing test for OpcLabs.EasyOpc.Forms.Browsing.OpcBrowseNodeElementCollection...");
        }

        [NotNull]
        public TesterCollection Testers { get; }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultCtorTester()
        {
            if (!Testers.TryGetValue("DefaultCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }
    }

// ReSharper restore RedundantNameQualifier
}

// ReSharper disable CheckNamespace
namespace OpcLabs.EasyOpcTest.Browsing
// ReSharper restore CheckNamespace
// ReSharper disable RedundantNameQualifier
{

    [TestClass]
    // ReSharper disable InconsistentNaming
    public class OpcBrowseOutputsTest
    // ReSharper restore InconsistentNaming
    {
        public OpcBrowseOutputsTest()
        {
            Testers = TestSuite.GetTypeTesters(typeof(global::OpcLabs.EasyOpc.Forms.Browsing.OpcBrowseOutputs));
        }

        [TestInitialize]
        public void InitializeTest()
        {
            AssertUtilities.WriteLine("Initializing test for OpcLabs.EasyOpc.Forms.Browsing.OpcBrowseOutputs...");
        }

        [NotNull]
        public TesterCollection Testers { get; }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("BinarySerialization")]
        [TestCategory("Serialization")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void BinarySerializationTester()
        {
            if (!Testers.TryGetValue("BinarySerializationTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void CopyCtorTester()
        {
            if (!Testers.TryGetValue("CopyCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultCtorTester()
        {
            if (!Testers.TryGetValue("DefaultCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("Equality")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void EqualityOperatorsTester()
        {
            if (!Testers.TryGetValue("EqualityOperatorsTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("Equality")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void EquivalenceTester()
        {
            if (!Testers.TryGetValue("EquivalenceTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("Cloning")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void ICloneableTester()
        {
            if (!Testers.TryGetValue("ICloneableTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void InvalidValueDataMemberTester()
        {
            if (!Testers.TryGetValue("InvalidValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void PropertyBehaviorTester()
        {
            if (!Testers.TryGetValue("PropertyBehaviorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void ShouldSerializeTester()
        {
            if (!Testers.TryGetValue("ShouldSerializeTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void ValidValueDataMemberTester()
        {
            if (!Testers.TryGetValue("ValidValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("Serialization")]
        [TestCategory("XamlSerialization")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void XamlSerializationTester()
        {
            if (!Testers.TryGetValue("XamlSerializationTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }
    }

// ReSharper restore RedundantNameQualifier
}

// ReSharper disable CheckNamespace
namespace OpcLabs.EasyOpcTest.Browsing
// ReSharper restore CheckNamespace
// ReSharper disable RedundantNameQualifier
{

    [TestClass]
    // ReSharper disable InconsistentNaming
    public class OpcComputerAndServerDialogTest
    // ReSharper restore InconsistentNaming
    {
        public OpcComputerAndServerDialogTest()
        {
            Testers = TestSuite.GetTypeTesters(typeof(global::OpcLabs.EasyOpc.Forms.Browsing.OpcComputerAndServerDialog));
        }

        [TestInitialize]
        public void InitializeTest()
        {
            AssertUtilities.WriteLine("Initializing test for OpcLabs.EasyOpc.Forms.Browsing.OpcComputerAndServerDialog...");
        }

        [NotNull]
        public TesterCollection Testers { get; }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultCtorTester()
        {
            if (!Testers.TryGetValue("DefaultCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultValueDataMemberTester()
        {
            if (!Testers.TryGetValue("DefaultValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void ShouldSerializeTester()
        {
            if (!Testers.TryGetValue("ShouldSerializeTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }
    }

// ReSharper restore RedundantNameQualifier
}

// ReSharper disable CheckNamespace
namespace OpcLabs.EasyOpcTest.Browsing
// ReSharper restore CheckNamespace
// ReSharper disable RedundantNameQualifier
{

    [TestClass]
    // ReSharper disable InconsistentNaming
    public class OpcServerDialogTest
    // ReSharper restore InconsistentNaming
    {
        public OpcServerDialogTest()
        {
            Testers = TestSuite.GetTypeTesters(typeof(global::OpcLabs.EasyOpc.Forms.Browsing.OpcServerDialog));
        }

        [TestInitialize]
        public void InitializeTest()
        {
            AssertUtilities.WriteLine("Initializing test for OpcLabs.EasyOpc.Forms.Browsing.OpcServerDialog...");
        }

        [NotNull]
        public TesterCollection Testers { get; }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultCtorTester()
        {
            if (!Testers.TryGetValue("DefaultCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultValueDataMemberTester()
        {
            if (!Testers.TryGetValue("DefaultValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void ShouldSerializeTester()
        {
            if (!Testers.TryGetValue("ShouldSerializeTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }
    }

// ReSharper restore RedundantNameQualifier
}

// ReSharper disable CheckNamespace
namespace OpcLabs.EasyOpcTest
// ReSharper restore CheckNamespace
// ReSharper disable RedundantNameQualifier
{

    [TestClass]
    // ReSharper disable InconsistentNaming
    public class ServerDescriptorFormTest
    // ReSharper restore InconsistentNaming
    {
        public ServerDescriptorFormTest()
        {
            Testers = TestSuite.GetTypeTesters(typeof(global::OpcLabs.EasyOpc.Forms.ServerDescriptorForm));
        }

        [TestInitialize]
        public void InitializeTest()
        {
            AssertUtilities.WriteLine("Initializing test for OpcLabs.EasyOpc.Forms.ServerDescriptorForm...");
        }

        [NotNull]
        public TesterCollection Testers { get; }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultCtorTester()
        {
            if (!Testers.TryGetValue("DefaultCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultValueDataMemberTester()
        {
            if (!Testers.TryGetValue("DefaultValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcClassic")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void ShouldSerializeTester()
        {
            if (!Testers.TryGetValue("ShouldSerializeTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }
    }

// ReSharper restore RedundantNameQualifier
}

// ReSharper disable CheckNamespace
namespace OpcLabs.EasyOpcTest.OpcLabs.EasyOpc.UA.Forms.Browsing.Internal
// ReSharper restore CheckNamespace
// ReSharper disable RedundantNameQualifier
{

    [TestClass]
    // ReSharper disable InconsistentNaming
    public class UAEndpointBrowsePresentationTest
    // ReSharper restore InconsistentNaming
    {
        public UAEndpointBrowsePresentationTest()
        {
            Testers = TestSuite.GetTypeTesters(typeof(global::OpcLabs.EasyOpc.UA.Forms.Browsing.Internal.UAEndpointBrowsePresentation));
        }

        [TestInitialize]
        public void InitializeTest()
        {
            AssertUtilities.WriteLine("Initializing test for OpcLabs.EasyOpc.UA.Forms.Browsing.Internal.UAEndpointBrowsePresentation...");
        }

        [NotNull]
        public TesterCollection Testers { get; }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultCtorTester()
        {
            if (!Testers.TryGetValue("DefaultCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void InvalidValueDataMemberTester()
        {
            if (!Testers.TryGetValue("InvalidValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }
    }

// ReSharper restore RedundantNameQualifier
}

// ReSharper disable CheckNamespace
namespace OpcLabs.EasyOpcTest.OpcLabs.EasyOpc.UA.Forms.Browsing.Internal
// ReSharper restore CheckNamespace
// ReSharper disable RedundantNameQualifier
{

    [TestClass]
    // ReSharper disable InconsistentNaming
    public class UAEndpointNodePresentationTest
    // ReSharper restore InconsistentNaming
    {
        public UAEndpointNodePresentationTest()
        {
            Testers = TestSuite.GetTypeTesters(typeof(global::OpcLabs.EasyOpc.UA.Forms.Browsing.Internal.UAEndpointNodePresentation));
        }

        [TestInitialize]
        public void InitializeTest()
        {
            AssertUtilities.WriteLine("Initializing test for OpcLabs.EasyOpc.UA.Forms.Browsing.Internal.UAEndpointNodePresentation...");
        }

        [NotNull]
        public TesterCollection Testers { get; }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultCtorTester()
        {
            if (!Testers.TryGetValue("DefaultCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void InvalidValueDataMemberTester()
        {
            if (!Testers.TryGetValue("InvalidValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }
    }

// ReSharper restore RedundantNameQualifier
}

// ReSharper disable CheckNamespace
namespace OpcLabs.EasyOpcTest.OpcLabs.EasyOpc.UA.Forms.Browsing.Internal
// ReSharper restore CheckNamespace
// ReSharper disable RedundantNameQualifier
{

    [TestClass]
    // ReSharper disable InconsistentNaming
    public class UAHostAndEndpointBrowsePresentationTest
    // ReSharper restore InconsistentNaming
    {
        public UAHostAndEndpointBrowsePresentationTest()
        {
            Testers = TestSuite.GetTypeTesters(typeof(global::OpcLabs.EasyOpc.UA.Forms.Browsing.Internal.UAHostAndEndpointBrowsePresentation));
        }

        [TestInitialize]
        public void InitializeTest()
        {
            AssertUtilities.WriteLine("Initializing test for OpcLabs.EasyOpc.UA.Forms.Browsing.Internal.UAHostAndEndpointBrowsePresentation...");
        }

        [NotNull]
        public TesterCollection Testers { get; }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultCtorTester()
        {
            if (!Testers.TryGetValue("DefaultCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void InvalidValueDataMemberTester()
        {
            if (!Testers.TryGetValue("InvalidValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }
    }

// ReSharper restore RedundantNameQualifier
}

// ReSharper disable CheckNamespace
namespace OpcLabs.EasyOpcTest.OpcLabs.EasyOpc.UA.Forms.Browsing.Internal
// ReSharper restore CheckNamespace
// ReSharper disable RedundantNameQualifier
{

    [TestClass]
    // ReSharper disable InconsistentNaming
    public class UAHostNodePresentationTest
    // ReSharper restore InconsistentNaming
    {
        public UAHostNodePresentationTest()
        {
            Testers = TestSuite.GetTypeTesters(typeof(global::OpcLabs.EasyOpc.UA.Forms.Browsing.Internal.UAHostNodePresentation));
        }

        [TestInitialize]
        public void InitializeTest()
        {
            AssertUtilities.WriteLine("Initializing test for OpcLabs.EasyOpc.UA.Forms.Browsing.Internal.UAHostNodePresentation...");
        }

        [NotNull]
        public TesterCollection Testers { get; }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultCtorTester()
        {
            if (!Testers.TryGetValue("DefaultCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void InvalidValueDataMemberTester()
        {
            if (!Testers.TryGetValue("InvalidValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }
    }

// ReSharper restore RedundantNameQualifier
}

// ReSharper disable CheckNamespace
namespace OpcLabs.EasyOpcTest.OpcLabs.EasyOpc.UA.Forms.Browsing.Internal
// ReSharper restore CheckNamespace
// ReSharper disable RedundantNameQualifier
{

    [TestClass]
    // ReSharper disable InconsistentNaming
    public class UALocalApplicationNodePresentationTest
    // ReSharper restore InconsistentNaming
    {
        public UALocalApplicationNodePresentationTest()
        {
            Testers = TestSuite.GetTypeTesters(typeof(global::OpcLabs.EasyOpc.UA.Forms.Browsing.Internal.UALocalApplicationNodePresentation));
        }

        [TestInitialize]
        public void InitializeTest()
        {
            AssertUtilities.WriteLine("Initializing test for OpcLabs.EasyOpc.UA.Forms.Browsing.Internal.UALocalApplicationNodePresentation...");
        }

        [NotNull]
        public TesterCollection Testers { get; }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultCtorTester()
        {
            if (!Testers.TryGetValue("DefaultCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void InvalidValueDataMemberTester()
        {
            if (!Testers.TryGetValue("InvalidValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }
    }

// ReSharper restore RedundantNameQualifier
}

// ReSharper disable CheckNamespace
namespace OpcLabs.EasyOpcTest.OpcLabs.EasyOpc.UA.Forms.Browsing.Internal
// ReSharper restore CheckNamespace
// ReSharper disable RedundantNameQualifier
{

    [TestClass]
    // ReSharper disable InconsistentNaming
    public class UANetworkApplicationNodePresentationTest
    // ReSharper restore InconsistentNaming
    {
        public UANetworkApplicationNodePresentationTest()
        {
            Testers = TestSuite.GetTypeTesters(typeof(global::OpcLabs.EasyOpc.UA.Forms.Browsing.Internal.UANetworkApplicationNodePresentation));
        }

        [TestInitialize]
        public void InitializeTest()
        {
            AssertUtilities.WriteLine("Initializing test for OpcLabs.EasyOpc.UA.Forms.Browsing.Internal.UANetworkApplicationNodePresentation...");
        }

        [NotNull]
        public TesterCollection Testers { get; }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultCtorTester()
        {
            if (!Testers.TryGetValue("DefaultCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void InvalidValueDataMemberTester()
        {
            if (!Testers.TryGetValue("InvalidValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }
    }

// ReSharper restore RedundantNameQualifier
}

// ReSharper disable CheckNamespace
namespace OpcLabs.EasyOpcTest.OpcLabs.EasyOpc.UA.Forms.Browsing.Internal
// ReSharper restore CheckNamespace
// ReSharper disable RedundantNameQualifier
{

    [TestClass]
    // ReSharper disable InconsistentNaming
    public class UANetworkNodePresentationTest
    // ReSharper restore InconsistentNaming
    {
        public UANetworkNodePresentationTest()
        {
            Testers = TestSuite.GetTypeTesters(typeof(global::OpcLabs.EasyOpc.UA.Forms.Browsing.Internal.UANetworkNodePresentation));
        }

        [TestInitialize]
        public void InitializeTest()
        {
            AssertUtilities.WriteLine("Initializing test for OpcLabs.EasyOpc.UA.Forms.Browsing.Internal.UANetworkNodePresentation...");
        }

        [NotNull]
        public TesterCollection Testers { get; }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultCtorTester()
        {
            if (!Testers.TryGetValue("DefaultCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void InvalidValueDataMemberTester()
        {
            if (!Testers.TryGetValue("InvalidValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }
    }

// ReSharper restore RedundantNameQualifier
}

// ReSharper disable CheckNamespace
namespace OpcLabs.EasyOpcTest.OpcLabs.EasyOpc.UA.Forms.Browsing
// ReSharper restore CheckNamespace
// ReSharper disable RedundantNameQualifier
{

    [TestClass]
    // ReSharper disable InconsistentNaming
    public class UABrowseControlTest
    // ReSharper restore InconsistentNaming
    {
        public UABrowseControlTest()
        {
            Testers = TestSuite.GetTypeTesters(typeof(global::OpcLabs.EasyOpc.UA.Forms.Browsing.UABrowseControl));
        }

        [TestInitialize]
        public void InitializeTest()
        {
            AssertUtilities.WriteLine("Initializing test for OpcLabs.EasyOpc.UA.Forms.Browsing.UABrowseControl...");
        }

        [NotNull]
        public TesterCollection Testers { get; }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultCtorTester()
        {
            if (!Testers.TryGetValue("DefaultCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultValueDataMemberTester()
        {
            if (!Testers.TryGetValue("DefaultValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void InvalidValueDataMemberTester()
        {
            if (!Testers.TryGetValue("InvalidValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void ShouldSerializeTester()
        {
            if (!Testers.TryGetValue("ShouldSerializeTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }
    }

// ReSharper restore RedundantNameQualifier
}

// ReSharper disable CheckNamespace
namespace OpcLabs.EasyOpcTest.OpcLabs.EasyOpc.UA.Forms.Browsing
// ReSharper restore CheckNamespace
// ReSharper disable RedundantNameQualifier
{

    [TestClass]
    // ReSharper disable InconsistentNaming
    public class UABrowseDialogTest
    // ReSharper restore InconsistentNaming
    {
        public UABrowseDialogTest()
        {
            Testers = TestSuite.GetTypeTesters(typeof(global::OpcLabs.EasyOpc.UA.Forms.Browsing.UABrowseDialog));
        }

        [TestInitialize]
        public void InitializeTest()
        {
            AssertUtilities.WriteLine("Initializing test for OpcLabs.EasyOpc.UA.Forms.Browsing.UABrowseDialog...");
        }

        [NotNull]
        public TesterCollection Testers { get; }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultCtorTester()
        {
            if (!Testers.TryGetValue("DefaultCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultValueDataMemberTester()
        {
            if (!Testers.TryGetValue("DefaultValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void ShouldSerializeTester()
        {
            if (!Testers.TryGetValue("ShouldSerializeTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }
    }

// ReSharper restore RedundantNameQualifier
}

// ReSharper disable CheckNamespace
namespace OpcLabs.EasyOpcTest.OpcLabs.EasyOpc.UA.Forms.Browsing
// ReSharper restore CheckNamespace
// ReSharper disable RedundantNameQualifier
{

    [TestClass]
    // ReSharper disable InconsistentNaming
    public class UABrowseInputsTest
    // ReSharper restore InconsistentNaming
    {
        public UABrowseInputsTest()
        {
            Testers = TestSuite.GetTypeTesters(typeof(global::OpcLabs.EasyOpc.UA.Forms.Browsing.UABrowseInputs));
        }

        [TestInitialize]
        public void InitializeTest()
        {
            AssertUtilities.WriteLine("Initializing test for OpcLabs.EasyOpc.UA.Forms.Browsing.UABrowseInputs...");
        }

        [NotNull]
        public TesterCollection Testers { get; }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("BinarySerialization")]
        [TestCategory("Serialization")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void BinarySerializationTester()
        {
            if (!Testers.TryGetValue("BinarySerializationTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void CopyCtorTester()
        {
            if (!Testers.TryGetValue("CopyCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("DataContractSerialization")]
        [TestCategory("Serialization")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DataContractSerializationTester()
        {
            if (!Testers.TryGetValue("DataContractSerializationTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultCtorTester()
        {
            if (!Testers.TryGetValue("DefaultCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("Equality")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void EqualityOperatorsTester()
        {
            if (!Testers.TryGetValue("EqualityOperatorsTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("Equality")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void EquivalenceTester()
        {
            if (!Testers.TryGetValue("EquivalenceTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void InvalidValueDataMemberTester()
        {
            if (!Testers.TryGetValue("InvalidValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void PropertyBehaviorTester()
        {
            if (!Testers.TryGetValue("PropertyBehaviorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void ValidValueDataMemberTester()
        {
            if (!Testers.TryGetValue("ValidValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("Serialization")]
        [TestCategory("XamlSerialization")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void XamlSerializationTester()
        {
            if (!Testers.TryGetValue("XamlSerializationTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("Serialization")]
        [TestCategory("XmlSerialization")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void XmlSerializationTester()
        {
            if (!Testers.TryGetValue("XmlSerializationTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }
    }

// ReSharper restore RedundantNameQualifier
}

// ReSharper disable CheckNamespace
namespace OpcLabs.EasyOpcTest.OpcLabs.EasyOpc.UA.Forms.Browsing
// ReSharper restore CheckNamespace
// ReSharper disable RedundantNameQualifier
{

    [TestClass]
    // ReSharper disable InconsistentNaming
    public class UABrowseInputsOutputsTest
    // ReSharper restore InconsistentNaming
    {
        public UABrowseInputsOutputsTest()
        {
            Testers = TestSuite.GetTypeTesters(typeof(global::OpcLabs.EasyOpc.UA.Forms.Browsing.UABrowseInputsOutputs));
        }

        [TestInitialize]
        public void InitializeTest()
        {
            AssertUtilities.WriteLine("Initializing test for OpcLabs.EasyOpc.UA.Forms.Browsing.UABrowseInputsOutputs...");
        }

        [NotNull]
        public TesterCollection Testers { get; }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("BinarySerialization")]
        [TestCategory("Serialization")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void BinarySerializationTester()
        {
            if (!Testers.TryGetValue("BinarySerializationTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void CopyCtorTester()
        {
            if (!Testers.TryGetValue("CopyCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("DataContractSerialization")]
        [TestCategory("Serialization")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DataContractSerializationTester()
        {
            if (!Testers.TryGetValue("DataContractSerializationTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultCtorTester()
        {
            if (!Testers.TryGetValue("DefaultCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("Equality")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void EqualityOperatorsTester()
        {
            if (!Testers.TryGetValue("EqualityOperatorsTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("Equality")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void EquivalenceTester()
        {
            if (!Testers.TryGetValue("EquivalenceTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("Cloning")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void ICloneableTester()
        {
            if (!Testers.TryGetValue("ICloneableTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void InvalidValueDataMemberTester()
        {
            if (!Testers.TryGetValue("InvalidValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void PropertyBehaviorTester()
        {
            if (!Testers.TryGetValue("PropertyBehaviorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void ShouldSerializeTester()
        {
            if (!Testers.TryGetValue("ShouldSerializeTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void ValidValueDataMemberTester()
        {
            if (!Testers.TryGetValue("ValidValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("Serialization")]
        [TestCategory("XamlSerialization")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void XamlSerializationTester()
        {
            if (!Testers.TryGetValue("XamlSerializationTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("Serialization")]
        [TestCategory("XmlSerialization")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void XmlSerializationTester()
        {
            if (!Testers.TryGetValue("XmlSerializationTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }
    }

// ReSharper restore RedundantNameQualifier
}

// ReSharper disable CheckNamespace
namespace OpcLabs.EasyOpcTest.OpcLabs.EasyOpc.UA.Forms.Browsing
// ReSharper restore CheckNamespace
// ReSharper disable RedundantNameQualifier
{

    [TestClass]
    // ReSharper disable InconsistentNaming
    public class UABrowseModeTest
    // ReSharper restore InconsistentNaming
    {
        public UABrowseModeTest()
        {
            Testers = TestSuite.GetTypeTesters(typeof(global::OpcLabs.EasyOpc.UA.Forms.Browsing.UABrowseMode));
        }

        [TestInitialize]
        public void InitializeTest()
        {
            AssertUtilities.WriteLine("Initializing test for OpcLabs.EasyOpc.UA.Forms.Browsing.UABrowseMode...");
        }

        [NotNull]
        public TesterCollection Testers { get; }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("BinarySerialization")]
        [TestCategory("Serialization")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void BinarySerializationTester()
        {
            if (!Testers.TryGetValue("BinarySerializationTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void CopyCtorTester()
        {
            if (!Testers.TryGetValue("CopyCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("DataContractSerialization")]
        [TestCategory("Serialization")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DataContractSerializationTester()
        {
            if (!Testers.TryGetValue("DataContractSerializationTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultCtorTester()
        {
            if (!Testers.TryGetValue("DefaultCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultValueDataMemberTester()
        {
            if (!Testers.TryGetValue("DefaultValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("Equality")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void EqualityOperatorsTester()
        {
            if (!Testers.TryGetValue("EqualityOperatorsTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("Equality")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void EquivalenceTester()
        {
            if (!Testers.TryGetValue("EquivalenceTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("Cloning")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void ICloneableTester()
        {
            if (!Testers.TryGetValue("ICloneableTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void InvalidValueDataMemberTester()
        {
            if (!Testers.TryGetValue("InvalidValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void PropertyBehaviorTester()
        {
            if (!Testers.TryGetValue("PropertyBehaviorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void ShouldSerializeTester()
        {
            if (!Testers.TryGetValue("ShouldSerializeTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void ValidValueDataMemberTester()
        {
            if (!Testers.TryGetValue("ValidValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("Serialization")]
        [TestCategory("XamlSerialization")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void XamlSerializationTester()
        {
            if (!Testers.TryGetValue("XamlSerializationTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("Serialization")]
        [TestCategory("XmlSerialization")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void XmlSerializationTester()
        {
            if (!Testers.TryGetValue("XmlSerializationTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }
    }

// ReSharper restore RedundantNameQualifier
}

// ReSharper disable CheckNamespace
namespace OpcLabs.EasyOpcTest.OpcLabs.EasyOpc.UA.Forms.Browsing
// ReSharper restore CheckNamespace
// ReSharper disable RedundantNameQualifier
{

    [TestClass]
    // ReSharper disable InconsistentNaming
    public class UABrowseNodeDescriptorTest
    // ReSharper restore InconsistentNaming
    {
        public UABrowseNodeDescriptorTest()
        {
            Testers = TestSuite.GetTypeTesters(typeof(global::OpcLabs.EasyOpc.UA.Forms.Browsing.UABrowseNodeDescriptor));
        }

        [TestInitialize]
        public void InitializeTest()
        {
            AssertUtilities.WriteLine("Initializing test for OpcLabs.EasyOpc.UA.Forms.Browsing.UABrowseNodeDescriptor...");
        }

        [NotNull]
        public TesterCollection Testers { get; }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("BinarySerialization")]
        [TestCategory("Serialization")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void BinarySerializationTester()
        {
            if (!Testers.TryGetValue("BinarySerializationTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void CopyCtorTester()
        {
            if (!Testers.TryGetValue("CopyCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("DataContractSerialization")]
        [TestCategory("Serialization")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DataContractSerializationTester()
        {
            if (!Testers.TryGetValue("DataContractSerializationTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultCtorTester()
        {
            if (!Testers.TryGetValue("DefaultCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultValueDataMemberTester()
        {
            if (!Testers.TryGetValue("DefaultValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("Equality")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void EqualityOperatorsTester()
        {
            if (!Testers.TryGetValue("EqualityOperatorsTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("Equality")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void EquivalenceTester()
        {
            if (!Testers.TryGetValue("EquivalenceTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("Cloning")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void ICloneableTester()
        {
            if (!Testers.TryGetValue("ICloneableTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void InvalidValueDataMemberTester()
        {
            if (!Testers.TryGetValue("InvalidValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void PropertyBehaviorTester()
        {
            if (!Testers.TryGetValue("PropertyBehaviorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void ShouldSerializeTester()
        {
            if (!Testers.TryGetValue("ShouldSerializeTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void ValidValueDataMemberTester()
        {
            if (!Testers.TryGetValue("ValidValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("Serialization")]
        [TestCategory("XamlSerialization")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void XamlSerializationTester()
        {
            if (!Testers.TryGetValue("XamlSerializationTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("Serialization")]
        [TestCategory("XmlSerialization")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void XmlSerializationTester()
        {
            if (!Testers.TryGetValue("XmlSerializationTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }
    }

// ReSharper restore RedundantNameQualifier
}

// ReSharper disable CheckNamespace
namespace OpcLabs.EasyOpcTest.OpcLabs.EasyOpc.UA.Forms.Browsing
// ReSharper restore CheckNamespace
// ReSharper disable RedundantNameQualifier
{

    [TestClass]
    // ReSharper disable InconsistentNaming
    public class UABrowseNodeDescriptorCollectionTest
    // ReSharper restore InconsistentNaming
    {
        public UABrowseNodeDescriptorCollectionTest()
        {
            Testers = TestSuite.GetTypeTesters(typeof(global::OpcLabs.EasyOpc.UA.Forms.Browsing.UABrowseNodeDescriptorCollection));
        }

        [TestInitialize]
        public void InitializeTest()
        {
            AssertUtilities.WriteLine("Initializing test for OpcLabs.EasyOpc.UA.Forms.Browsing.UABrowseNodeDescriptorCollection...");
        }

        [NotNull]
        public TesterCollection Testers { get; }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultCtorTester()
        {
            if (!Testers.TryGetValue("DefaultCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }
    }

// ReSharper restore RedundantNameQualifier
}

// ReSharper disable CheckNamespace
namespace OpcLabs.EasyOpcTest.OpcLabs.EasyOpc.UA.Forms.Browsing
// ReSharper restore CheckNamespace
// ReSharper disable RedundantNameQualifier
{

    [TestClass]
    // ReSharper disable InconsistentNaming
    public class UABrowseNodeElementTest
    // ReSharper restore InconsistentNaming
    {
        public UABrowseNodeElementTest()
        {
            Testers = TestSuite.GetTypeTesters(typeof(global::OpcLabs.EasyOpc.UA.Forms.Browsing.UABrowseNodeElement));
        }

        [TestInitialize]
        public void InitializeTest()
        {
            AssertUtilities.WriteLine("Initializing test for OpcLabs.EasyOpc.UA.Forms.Browsing.UABrowseNodeElement...");
        }

        [NotNull]
        public TesterCollection Testers { get; }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("BinarySerialization")]
        [TestCategory("Serialization")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void BinarySerializationTester()
        {
            if (!Testers.TryGetValue("BinarySerializationTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void CopyCtorTester()
        {
            if (!Testers.TryGetValue("CopyCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("DataContractSerialization")]
        [TestCategory("Serialization")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DataContractSerializationTester()
        {
            if (!Testers.TryGetValue("DataContractSerializationTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultCtorTester()
        {
            if (!Testers.TryGetValue("DefaultCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultValueDataMemberTester()
        {
            if (!Testers.TryGetValue("DefaultValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("Equality")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void EqualityOperatorsTester()
        {
            if (!Testers.TryGetValue("EqualityOperatorsTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("Equality")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void EquivalenceTester()
        {
            if (!Testers.TryGetValue("EquivalenceTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("Cloning")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void ICloneableTester()
        {
            if (!Testers.TryGetValue("ICloneableTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void InvalidValueDataMemberTester()
        {
            if (!Testers.TryGetValue("InvalidValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void PropertyBehaviorTester()
        {
            if (!Testers.TryGetValue("PropertyBehaviorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void ValidValueDataMemberTester()
        {
            if (!Testers.TryGetValue("ValidValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("Serialization")]
        [TestCategory("XmlSerialization")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void XmlSerializationTester()
        {
            if (!Testers.TryGetValue("XmlSerializationTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }
    }

// ReSharper restore RedundantNameQualifier
}

// ReSharper disable CheckNamespace
namespace OpcLabs.EasyOpcTest.OpcLabs.EasyOpc.UA.Forms.Browsing
// ReSharper restore CheckNamespace
// ReSharper disable RedundantNameQualifier
{

    [TestClass]
    // ReSharper disable InconsistentNaming
    public class UABrowseNodeElementCollectionTest
    // ReSharper restore InconsistentNaming
    {
        public UABrowseNodeElementCollectionTest()
        {
            Testers = TestSuite.GetTypeTesters(typeof(global::OpcLabs.EasyOpc.UA.Forms.Browsing.UABrowseNodeElementCollection));
        }

        [TestInitialize]
        public void InitializeTest()
        {
            AssertUtilities.WriteLine("Initializing test for OpcLabs.EasyOpc.UA.Forms.Browsing.UABrowseNodeElementCollection...");
        }

        [NotNull]
        public TesterCollection Testers { get; }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultCtorTester()
        {
            if (!Testers.TryGetValue("DefaultCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }
    }

// ReSharper restore RedundantNameQualifier
}

// ReSharper disable CheckNamespace
namespace OpcLabs.EasyOpcTest.OpcLabs.EasyOpc.UA.Forms.Browsing
// ReSharper restore CheckNamespace
// ReSharper disable RedundantNameQualifier
{

    [TestClass]
    // ReSharper disable InconsistentNaming
    public class UABrowseOutputsTest
    // ReSharper restore InconsistentNaming
    {
        public UABrowseOutputsTest()
        {
            Testers = TestSuite.GetTypeTesters(typeof(global::OpcLabs.EasyOpc.UA.Forms.Browsing.UABrowseOutputs));
        }

        [TestInitialize]
        public void InitializeTest()
        {
            AssertUtilities.WriteLine("Initializing test for OpcLabs.EasyOpc.UA.Forms.Browsing.UABrowseOutputs...");
        }

        [NotNull]
        public TesterCollection Testers { get; }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("BinarySerialization")]
        [TestCategory("Serialization")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void BinarySerializationTester()
        {
            if (!Testers.TryGetValue("BinarySerializationTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void CopyCtorTester()
        {
            if (!Testers.TryGetValue("CopyCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("DataContractSerialization")]
        [TestCategory("Serialization")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DataContractSerializationTester()
        {
            if (!Testers.TryGetValue("DataContractSerializationTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultCtorTester()
        {
            if (!Testers.TryGetValue("DefaultCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("Equality")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void EqualityOperatorsTester()
        {
            if (!Testers.TryGetValue("EqualityOperatorsTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("Equality")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void EquivalenceTester()
        {
            if (!Testers.TryGetValue("EquivalenceTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("Cloning")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void ICloneableTester()
        {
            if (!Testers.TryGetValue("ICloneableTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void InvalidValueDataMemberTester()
        {
            if (!Testers.TryGetValue("InvalidValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void PropertyBehaviorTester()
        {
            if (!Testers.TryGetValue("PropertyBehaviorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void ShouldSerializeTester()
        {
            if (!Testers.TryGetValue("ShouldSerializeTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void ValidValueDataMemberTester()
        {
            if (!Testers.TryGetValue("ValidValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("Serialization")]
        [TestCategory("XamlSerialization")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void XamlSerializationTester()
        {
            if (!Testers.TryGetValue("XamlSerializationTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("Serialization")]
        [TestCategory("XmlSerialization")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void XmlSerializationTester()
        {
            if (!Testers.TryGetValue("XmlSerializationTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }
    }

// ReSharper restore RedundantNameQualifier
}

// ReSharper disable CheckNamespace
namespace OpcLabs.EasyOpcTest.OpcLabs.EasyOpc.UA.Forms.Browsing
// ReSharper restore CheckNamespace
// ReSharper disable RedundantNameQualifier
{

    [TestClass]
    // ReSharper disable InconsistentNaming
    public class UADataDialogTest
    // ReSharper restore InconsistentNaming
    {
        public UADataDialogTest()
        {
            Testers = TestSuite.GetTypeTesters(typeof(global::OpcLabs.EasyOpc.UA.Forms.Browsing.UADataDialog));
        }

        [TestInitialize]
        public void InitializeTest()
        {
            AssertUtilities.WriteLine("Initializing test for OpcLabs.EasyOpc.UA.Forms.Browsing.UADataDialog...");
        }

        [NotNull]
        public TesterCollection Testers { get; }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultCtorTester()
        {
            if (!Testers.TryGetValue("DefaultCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultValueDataMemberTester()
        {
            if (!Testers.TryGetValue("DefaultValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void ShouldSerializeTester()
        {
            if (!Testers.TryGetValue("ShouldSerializeTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }
    }

// ReSharper restore RedundantNameQualifier
}

// ReSharper disable CheckNamespace
namespace OpcLabs.EasyOpcTest.OpcLabs.EasyOpc.UA.Forms.Browsing
// ReSharper restore CheckNamespace
// ReSharper disable RedundantNameQualifier
{

    [TestClass]
    // ReSharper disable InconsistentNaming
    public class UAEndpointDialogTest
    // ReSharper restore InconsistentNaming
    {
        public UAEndpointDialogTest()
        {
            Testers = TestSuite.GetTypeTesters(typeof(global::OpcLabs.EasyOpc.UA.Forms.Browsing.UAEndpointDialog));
        }

        [TestInitialize]
        public void InitializeTest()
        {
            AssertUtilities.WriteLine("Initializing test for OpcLabs.EasyOpc.UA.Forms.Browsing.UAEndpointDialog...");
        }

        [NotNull]
        public TesterCollection Testers { get; }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultCtorTester()
        {
            if (!Testers.TryGetValue("DefaultCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultValueDataMemberTester()
        {
            if (!Testers.TryGetValue("DefaultValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void ShouldSerializeTester()
        {
            if (!Testers.TryGetValue("ShouldSerializeTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }
    }

// ReSharper restore RedundantNameQualifier
}

// ReSharper disable CheckNamespace
namespace OpcLabs.EasyOpcTest.OpcLabs.EasyOpc.UA.Forms.Browsing
// ReSharper restore CheckNamespace
// ReSharper disable RedundantNameQualifier
{

    [TestClass]
    // ReSharper disable InconsistentNaming
    public class UAHostAndEndpointDialogTest
    // ReSharper restore InconsistentNaming
    {
        public UAHostAndEndpointDialogTest()
        {
            Testers = TestSuite.GetTypeTesters(typeof(global::OpcLabs.EasyOpc.UA.Forms.Browsing.UAHostAndEndpointDialog));
        }

        [TestInitialize]
        public void InitializeTest()
        {
            AssertUtilities.WriteLine("Initializing test for OpcLabs.EasyOpc.UA.Forms.Browsing.UAHostAndEndpointDialog...");
        }

        [NotNull]
        public TesterCollection Testers { get; }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultCtorTester()
        {
            if (!Testers.TryGetValue("DefaultCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultValueDataMemberTester()
        {
            if (!Testers.TryGetValue("DefaultValueDataMemberTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("OpcUA")]
        [TestCategory("DataMembers")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void ShouldSerializeTester()
        {
            if (!Testers.TryGetValue("ShouldSerializeTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }
    }

// ReSharper restore RedundantNameQualifier
}

// ReSharper disable CheckNamespace
namespace OpcLabs.EasyOpcTest.OpcLabs.EasyOpc.UA.Forms.Internal
// ReSharper restore CheckNamespace
// ReSharper disable RedundantNameQualifier
{

    [TestClass]
    // ReSharper disable InconsistentNaming
    public class UAApplicationElementControlTest
    // ReSharper restore InconsistentNaming
    {
        public UAApplicationElementControlTest()
        {
            Testers = TestSuite.GetTypeTesters(typeof(global::OpcLabs.EasyOpc.UA.Forms.Implementation.UAApplicationElementControl));
        }

        [TestInitialize]
        public void InitializeTest()
        {
            AssertUtilities.WriteLine("Initializing test for OpcLabs.EasyOpc.UA.Forms.Internal.UAApplicationElementControl...");
        }

        [NotNull]
        public TesterCollection Testers { get; }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultCtorTester()
        {
            if (!Testers.TryGetValue("DefaultCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }
    }

// ReSharper restore RedundantNameQualifier
}

// ReSharper disable CheckNamespace
namespace OpcLabs.EasyOpcTest.OpcLabs.EasyOpc.UA.Forms.Internal
// ReSharper restore CheckNamespace
// ReSharper disable RedundantNameQualifier
{

    [TestClass]
    // ReSharper disable InconsistentNaming
    public class UAApplicationRecordDataTypeControlTest
    // ReSharper restore InconsistentNaming
    {
        public UAApplicationRecordDataTypeControlTest()
        {
            Testers = TestSuite.GetTypeTesters(typeof(global::OpcLabs.EasyOpc.UA.Forms.Implementation.UAApplicationRecordDataTypeControl));
        }

        [TestInitialize]
        public void InitializeTest()
        {
            AssertUtilities.WriteLine("Initializing test for OpcLabs.EasyOpc.UA.Forms.Internal.UAApplicationRecordDataTypeControl...");
        }

        [NotNull]
        public TesterCollection Testers { get; }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultCtorTester()
        {
            if (!Testers.TryGetValue("DefaultCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }
    }

// ReSharper restore RedundantNameQualifier
}

// ReSharper disable CheckNamespace
namespace OpcLabs.EasyOpcTest.OpcLabs.EasyOpc.UA.Forms.Internal
// ReSharper restore CheckNamespace
// ReSharper disable RedundantNameQualifier
{

    [TestClass]
    // ReSharper disable InconsistentNaming
    public class UACertificateAcceptancePolicyControlTest
    // ReSharper restore InconsistentNaming
    {
        public UACertificateAcceptancePolicyControlTest()
        {
            Testers = TestSuite.GetTypeTesters(typeof(global::OpcLabs.EasyOpc.UA.Forms.Implementation.UACertificateAcceptancePolicyControl));
        }

        [TestInitialize]
        public void InitializeTest()
        {
            AssertUtilities.WriteLine("Initializing test for OpcLabs.EasyOpc.UA.Forms.Internal.UACertificateAcceptancePolicyControl...");
        }

        [NotNull]
        public TesterCollection Testers { get; }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultCtorTester()
        {
            if (!Testers.TryGetValue("DefaultCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }
    }

// ReSharper restore RedundantNameQualifier
}

// ReSharper disable CheckNamespace
namespace OpcLabs.EasyOpcTest.OpcLabs.EasyOpc.UA.Forms.Internal
// ReSharper restore CheckNamespace
// ReSharper disable RedundantNameQualifier
{

    [TestClass]
    // ReSharper disable InconsistentNaming
    public class UAEndpointSelectionPolicyAdvancedControlTest
    // ReSharper restore InconsistentNaming
    {
        public UAEndpointSelectionPolicyAdvancedControlTest()
        {
            Testers = TestSuite.GetTypeTesters(typeof(global::OpcLabs.EasyOpc.UA.Forms.Implementation.UAEndpointSelectionPolicyAdvancedControl));
        }

        [TestInitialize]
        public void InitializeTest()
        {
            AssertUtilities.WriteLine("Initializing test for OpcLabs.EasyOpc.UA.Forms.Internal.UAEndpointSelectionPolicyAdvancedControl...");
        }

        [NotNull]
        public TesterCollection Testers { get; }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultCtorTester()
        {
            if (!Testers.TryGetValue("DefaultCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }
    }

// ReSharper restore RedundantNameQualifier
}

// ReSharper disable CheckNamespace
namespace OpcLabs.EasyOpcTest.OpcLabs.EasyOpc.UA.Forms.Internal
// ReSharper restore CheckNamespace
// ReSharper disable RedundantNameQualifier
{

    [TestClass]
    // ReSharper disable InconsistentNaming
    public class UAEndpointSelectionPolicyControlTest
    // ReSharper restore InconsistentNaming
    {
        public UAEndpointSelectionPolicyControlTest()
        {
            Testers = TestSuite.GetTypeTesters(typeof(global::OpcLabs.EasyOpc.UA.Forms.Implementation.UAEndpointSelectionPolicyControl));
        }

        [TestInitialize]
        public void InitializeTest()
        {
            AssertUtilities.WriteLine("Initializing test for OpcLabs.EasyOpc.UA.Forms.Internal.UAEndpointSelectionPolicyControl...");
        }

        [NotNull]
        public TesterCollection Testers { get; }

        [TestCategory("GeneratedTest")]
        [TestCategory("Forms")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultCtorTester()
        {
            if (!Testers.TryGetValue("DefaultCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }
    }

// ReSharper restore RedundantNameQualifier
}
