﻿
using JetBrains.Annotations;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using OpcLabs.BaseLib.Collections.ObjectModel.Extensions;
using OpcLabs.UnitTestLib;
using System.Diagnostics;

// Assemblies:
//   OpcLabs.OpcComplexEventProcessing, Version=5.55.0.1, Culture=neutral, PublicKeyToken=6faddca41dacb409

// ReSharper disable CheckNamespace
namespace OpcLabs.EasyOpcTest.AlarmsAndEvents.ComplexEventProcessing
// ReSharper restore CheckNamespace
// ReSharper disable RedundantNameQualifier
{

    [TestClass]
    // ReSharper disable InconsistentNaming
    // ReSharper disable PartialTypeWithSinglePart
    public partial class AEEventDataPayloadTest
    // ReSharper restore PartialTypeWithSinglePart
    // ReSharper restore InconsistentNaming
    {
        public AEEventDataPayloadTest()
        {
            Testers = TestSuite.GetTypeTesters(typeof(global::OpcLabs.EasyOpc.AlarmsAndEvents.ComplexEventProcessing.AEEventDataPayload));
        }

        [TestInitialize]
        public void InitializeTest()
        {
            AssertUtilities.WriteLine("Initializing test for OpcLabs.EasyOpc.AlarmsAndEvents.ComplexEventProcessing.AEEventDataPayload...");
        }

        [NotNull]
        public TesterCollection Testers { get; }

        [TestCategory("GeneratedTest")]
        [TestCategory("ComplexEventProcessing")]
        [TestCategory("OpcAlarmsAndEvents")]
        [TestCategory("OpcClassic")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultCtorTester()
        {
            if (!Testers.TryGetValue("DefaultCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }
    }

// ReSharper restore RedundantNameQualifier
}

// ReSharper disable CheckNamespace
namespace OpcLabs.EasyOpcTest.AlarmsAndEvents.ComplexEventProcessing
// ReSharper restore CheckNamespace
// ReSharper disable RedundantNameQualifier
{

    [TestClass]
    // ReSharper disable InconsistentNaming
    // ReSharper disable PartialTypeWithSinglePart
    public partial class AENotificationPayloadTest
    // ReSharper restore PartialTypeWithSinglePart
    // ReSharper restore InconsistentNaming
    {
        public AENotificationPayloadTest()
        {
            Testers = TestSuite.GetTypeTesters(typeof(global::OpcLabs.EasyOpc.AlarmsAndEvents.ComplexEventProcessing.AENotificationPayload));
        }

        [TestInitialize]
        public void InitializeTest()
        {
            AssertUtilities.WriteLine("Initializing test for OpcLabs.EasyOpc.AlarmsAndEvents.ComplexEventProcessing.AENotificationPayload...");
        }

        [NotNull]
        public TesterCollection Testers { get; }

        [TestCategory("GeneratedTest")]
        [TestCategory("ComplexEventProcessing")]
        [TestCategory("OpcAlarmsAndEvents")]
        [TestCategory("OpcClassic")]
        [TestCategory("Construction")]
        [TestMethod]
        // ReSharper disable once InconsistentNaming
        public void DefaultCtorTester()
        {
            if (!Testers.TryGetValue("DefaultCtorTester", out Tester tester))
                AssertUtilities.Inconclusive("Tester not found.");
            Debug.Assert(tester != null);
            TestUtilities.RunTests(tester.TestMethods);
        }
    }

// ReSharper restore RedundantNameQualifier
}
