﻿
//using System;
//using System.Diagnostics;
//using System.IO;
//using JetBrains.Annotations;
//using Microsoft.VisualStudio.TestTools.UnitTesting;
//using Opc.Ua.Schema;
//using OpcLabs.BaseLib.DataTypeModel;
//using OpcLabs.BaseLib.IO.Extensions;
//using OpcLabs.BaseLib.Xml.Utilities;
//using OpcLabs.EasyOpc.UA.DataTypeModel;
//using OpcLabs.EasyOpc.UA.DataTypeModel.BuiltIn;
//using OpcLabs.EasyOpc.UA.DataTypeModel.Internal;

//namespace OpcLabs.EasyOpcTest.UA.DataTypeModel.Internal
//{
//    [TestClass]
//    public class BuiltInTypesTest : UAOpcBinaryDataTypeSystemTest
//    {
//        #region Static Private Properties

//        [NotNull]
//        static private byte[] TypeDictionaryByteArray
//        {
//            get
//            {
//                Type type = typeof(SchemaValidator);
//                Stream stream = type.Assembly.GetManifestResourceStream("Opc.Ua.Types.Schemas.BuiltInTypes.bsd");
//                Debug.Assert(stream != null);
//                byte[] dictionaryByteArray = stream.ToArrayOfBytes();
//                return dictionaryByteArray;
//            }
//        }

//        #endregion



//        #region Test Methods

//        [TestMethod]
//        public void DecodeErrorTest_BinaryDecoderRawBuiltInDataCannotCreateXmlElement_1()
//            => DecodeErrorTest(BuiltInTypesTypeDictionaryByteArray, "XmlElement",
//                new Byte[4],
//                UADataTypeModelErrorCodes.BuiltInDictionaryRawDataCannotCreateXmlElement);

//        [TestMethod]
//        public void DecodeErrorTest_BinaryDecoderRawBuiltInDataCannotCreateXmlElement_2()
//            => DecodeErrorTest(BuiltInTypesTypeDictionaryByteArray, "XmlElement",
//                new Byte[] {2, 0, 0, 0, (Byte) '<', (Byte) 'a'},
//                UADataTypeModelErrorCodes.BuiltInDictionaryRawDataCannotCreateXmlElement);



//        [TestMethod]
//        public void DecodeTest_FourByteNodeId()
//            => DecodeTest(BuiltInTypesTypeDictionaryByteArray, "FourByteNodeId",
//                new Byte[] {171, 0xF0, 0xFF},
//                new PrimitiveData(UAOpcBinaryBuiltInDataTypes.FourByteNodeId,
//                    new UAOpcBinaryFourByteNodeId(171, 65520)));

//        [TestMethod]
//        public void DecodeTest_NodeIdType()
//            => DecodeTest(BuiltInTypesTypeDictionaryByteArray, "NodeIdType",
//                new Byte[] {1},
//                new PrimitiveData(UAOpcBinaryBuiltInDataTypes.NodeIdType, UAOpcBinaryNodeIdType.FourByte));

//        [TestMethod]
//        public void DecodeTest_NumericNodeId()
//            => DecodeTest(BuiltInTypesTypeDictionaryByteArray, "NumericNodeId",
//                new Byte[] { 172, 0, 0, 0, 0xF8, 0x7F },
//                new PrimitiveData(UAOpcBinaryBuiltInDataTypes.NumericNodeId, new UAOpcBinaryNumericNodeId(172, 32760)));

//        [TestMethod]
//        public void DecodeTest_TwoByteNodeId()
//            => DecodeTest(BuiltInTypesTypeDictionaryByteArray, "TwoByteNodeId",
//                new Byte[] {170},
//                new PrimitiveData(UAOpcBinaryBuiltInDataTypes.TwoByteNodeId, new UAOpcBinaryTwoByteNodeId(170)));

//        [TestMethod]
//        public void DecodeTest_Variant_Boolean()
//            => DecodeTest(BuiltInTypesTypeDictionaryByteArray, "Variant",
//                new Byte[] {0x01, 0xFF},
//                new PrimitiveData(/*TODO: data type,*/ true));

//        [TestMethod]
//        public void DecodeTest_XmlElement()
//            => DecodeTest(BuiltInTypesTypeDictionaryByteArray, "XmlElement",
//                new Byte[] { 4, 0, 0, 0, (Byte)'<', (Byte)'a', (Byte)'/', (Byte)'>' },
//                new PrimitiveData(UAOpcBinaryBuiltInDataTypes.XmlElement, XmlElementUtilities.Create("<a/>")));



//        [TestMethod]
//        public void EncodeTest_FourByteNodeId()
//            => EncodeTest(BuiltInTypesTypeDictionaryByteArray, "FourByteNodeId",
//                new PrimitiveData(UAOpcBinaryBuiltInDataTypes.FourByteNodeId, new UAOpcBinaryFourByteNodeId(171, 65520)),
//                new Byte[] { 171, 0xF0, 0xFF });

//        [TestMethod]
//        public void EncodeTest_NodeIdType()
//            => EncodeTest(BuiltInTypesTypeDictionaryByteArray, "NodeIdType",
//                new PrimitiveData(UAOpcBinaryBuiltInDataTypes.NodeIdType, UAOpcBinaryNodeIdType.FourByte),
//                new Byte[] { 1 });

//        [TestMethod]
//        public void EncodeTest_NumericNodeId()
//            => EncodeTest(BuiltInTypesTypeDictionaryByteArray, "NumericNodeId",
//                new PrimitiveData(UAOpcBinaryBuiltInDataTypes.NumericNodeId, new UAOpcBinaryNumericNodeId(172, 32760)),
//                new Byte[] { 172, 0, 0, 0, 0xF8, 0x7F });

//        [TestMethod]
//        public void EncodeTest_TwoByteNodeId()
//            => EncodeTest(BuiltInTypesTypeDictionaryByteArray, "TwoByteNodeId",
//                new PrimitiveData(UAOpcBinaryBuiltInDataTypes.TwoByteNodeId, new UAOpcBinaryTwoByteNodeId(170)),
//                new Byte[] { 170 });

//        [TestMethod]
//        public void EncodeTest_Variant_Boolean()
//            => EncodeTest(BuiltInTypesTypeDictionaryByteArray, "Variant",
//                new PrimitiveData(/*TODO: data type, */ true),
//                new Byte[] { 0x01, 0xFF });

//        [TestMethod]
//        public void EncodeTest_XmlElement()
//            => EncodeTest(BuiltInTypesTypeDictionaryByteArray, "XmlElement",
//                new PrimitiveData(UAOpcBinaryBuiltInDataTypes.XmlElement, XmlElementUtilities.Create("<a />")),
//                new Byte[] {5, 0, 0, 0, (Byte) '<', (Byte) 'a', (Byte)' ', (Byte) '/', (Byte) '>'});

//        #endregion
//    }
//}
